Debian Bug report logs - #188168
ITA: sing -- A fully programmable ping replacement

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Tue, 8 Apr 2003 11:33:05 UTC

Severity: normal

Fixed in version sing/1.1-5

Done: Alberto Gonzalez Iniesta <agi@agi.as>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#188168; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Robert van der Meulen <rvdm@debian.org>
Subject: O: sing -- A fully programmable ping replacement.
Date: Tue, 8 Apr 2003 21:24:22 +1000
Package: wnpp
Severity: normal

The current maintainer of sing, Robert van der Meulen <rvdm@debian.org>,
has orphaned this package.  If you want to be the new maintainer, please
take it -- see http://www.debian.org/devel/wnpp/index.html#howto-o for
detailed instructions how to adopt a package properly.

Some information about this package:

Package: sing
Binary: sing
Version: 1.1-4.1
Priority: optional
Section: net
Maintainer: Robert van der Meulen <rvdm@debian.org>
Build-Depends: debhelper, libpcap-dev, libnet0-dev
Architecture: any
Standards-Version: 3.1.1
Format: 1.0
Directory: pool/main/s/sing
Files: 5d03face4ce7af2d6207eb735711eabc 569 sing_1.1-4.1.dsc
 f9f649c4b40174a983601d46e4a3daac 446221 sing_1.1.orig.tar.gz
 ba88f09b9575c0933056dbd6ed40d50f 16539 sing_1.1-4.1.diff.gz

Package: sing
Priority: optional
Section: net
Installed-Size: 108
Maintainer: Robert van der Meulen <rvdm@debian.org>
Architecture: i386
Version: 1.1-4.1
Depends: libc6 (>= 2.2.5-13), libpcap0.7 ,debconf
Filename: pool/main/s/sing/sing_1.1-4.1_i386.deb
Size: 42038
MD5sum: 0e88f3b6fe0bf2385ed6750923fa28b3
Description: A fully programmable ping replacement.
 Sing is a little tool that sends ICMP packets fully customized from command
 line. The main purpose is to replace/complement the niceful ping command
 with certain enhancements as:
  - Send fragmented packets (Linux and BSD).
  - Send monster packets > 65534 (Linux and BSD).
  - Send/read spoofed packets.(Libpcap included in distribution).
  - Send many ICMP Information types in addition to the ECHO REQUEST type
    sent by default as Address Mask Request, Timestamp, Information Request,
  - Router Solicitation and Router Advertisement.
  - Send many ICMP error types: Redirect, Source Quench, Time Exceeded,
    Destination Unreach and Parameter Problem.
  - Send to host with Loose or Strict Source Routing.
  - Use little fingerprinting techniques to discover Window$ or Solaris
    boxes.
  - Send ICMP packets emulating certain OS: Cisco, Solaris, Linux, Shiva,
    Unix and Window$ at the moment.

-- 
Martin Michlmayr
tbm@cyrius.com



Changed Bug title. Request was from Alberto Gonzalez Iniesta <agi@agi.as> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Alberto Gonzalez Iniesta <agi@agi.as>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 188168-close@bugs.debian.org (full text, mbox):

From: Alberto Gonzalez Iniesta <agi@agi.as>
To: 188168-close@bugs.debian.org
Subject: Bug#188168: fixed in sing 1.1-5
Date: Fri, 18 Apr 2003 05:47:20 -0400
We believe that the bug you reported is fixed in the latest version of
sing, which is due to be installed in the Debian FTP archive:

sing_1.1-5.diff.gz
  to pool/main/s/sing/sing_1.1-5.diff.gz
sing_1.1-5.dsc
  to pool/main/s/sing/sing_1.1-5.dsc
sing_1.1-5_i386.deb
  to pool/main/s/sing/sing_1.1-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 188168@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alberto Gonzalez Iniesta <agi@agi.as> (supplier of updated sing package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 17 Apr 2003 18:36:50 +0200
Source: sing
Binary: sing
Architecture: source i386
Version: 1.1-5
Distribution: unstable
Urgency: low
Maintainer: Alberto Gonzalez Iniesta <agi@agi.as>
Changed-By: Alberto Gonzalez Iniesta <agi@agi.as>
Description: 
 sing       - A fully programmable ping replacement
Closes: 102132 125357 131762 137686 188168
Changes: 
 sing (1.1-5) unstable; urgency=low
 .
   * New Maintainer. (Closes: #188168)
   * Bumped Standards-Version to 3.5.8, no change.
   * Reworded description field. (Closes: #131762, #125357)
   * Built with new libpcap (Closes: #102132)
   * Added Russian debconf template (Closes: #137686)
   * Added debhelper token to maintainer scripts. Deleted prerm.
     Removed symlink from /usr/doc to /usr/share/doc in postinst
   * Added reference to GPL file in /usr/share/common-licenses
Files: 
 cb30c114e2f9d9fec6fb76d5b6b83eb5 563 net optional sing_1.1-5.dsc
 397d9c7636214f15824dc4a0f843a53b 17007 net optional sing_1.1-5.diff.gz
 167b50b954bef751fe6929c71779f3a7 43832 net optional sing_1.1-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE+n8Y4xRSvjkukAcMRAj6+AKDSSaa2qlyIHRd62K32lz5YWmV6SwCfUgyl
jXONzZH4OL5+xZV+vruUJho=
=0LCg
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:58:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.